# Dependencies
markdown:       kramdown
highlighter:    rouge

kramdown:
  auto_ids:     true

# Permalinks
permalink:      pretty

# Server
source:         "site"
destination:    ./_gh_pages
host:           "localhost"
port:           9001
baseurl:        ""
url:            "https://getbootstrap.com"
encoding:       UTF-8
exclude:
  - docs/4.5/assets/scss/

plugins:
  - jekyll-redirect-from
  - jekyll-sitemap
  - jekyll-toc

redirect_from:
  json: false

# Social
title:              Bootstrap
description:        "The most popular HTML, CSS, and JS library in the world."
twitter:            getbootstrap
authors:            "Mark Otto, Jacob Thornton, and Bootstrap contributors"
social_image_path:  /docs/4.5/assets/brand/bootstrap-social.png
social_logo_path:   /docs/4.5/assets/brand/bootstrap-social-logo.png

# Custom variables
current_version:      4.5.2
current_ruby_version: 4.5.2
docs_version:         4.5
github_org:           "https://github.com/twbs"
repo:                 "https://github.com/twbs/bootstrap"
slack:                "https://bootstrap-slack.herokuapp.com"
opencollective:       "https://opencollective.com/bootstrap"
blog:                 "https://blog.getbootstrap.com"
expo:                 "https://expo.getbootstrap.com"
themes:               "https://themes.getbootstrap.com"
icons:                "https://icons.getbootstrap.com"

download:
  source:           "https://github.com/twbs/bootstrap/archive/v4.5.2.zip"
  dist:             "https://github.com/twbs/bootstrap/releases/download/v4.5.2/bootstrap-4.5.2-dist.zip"
  dist_examples:    "https://github.com/twbs/bootstrap/releases/download/v4.5.2/bootstrap-4.5.2-examples.zip"

cdn:
  # See https://www.srihash.org for info on how to generate the hashes
  css:              "https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
  css_hash:         "sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
  js:               "https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
  js_hash:          "sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
  js_bundle:        "https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"
  js_bundle_hash:   "sha384-LtrjvnR4Twt/qOuYxE721u19sVFLVSA4hf/rRt6PrZTmiPltdZcI7q7PXQBYTKyf"
  jquery:           "https://code.jquery.com/jquery-3.5.1.slim.min.js"
  jquery_hash:      "sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
  popper:           "https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
  popper_hash:      "sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"

toc:
  min_level:        2
  max_level:        4
  no_toc_section_class:
    - "bd-callout"
    - "bd-example"
